Bug 1011393 - macros.httpd need to be expanded
macros.httpd need to be expanded
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
Filip Holec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 03:56 EDT by Remi Collet
Modified: 2016-04-18 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: httpd-2.4.6-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:38:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-09-24 03:56:07 EDT
In current httpd-devel various path are unexpanded (use another macro)

Ex: %_httpd_apxs %{_bindir}/apxs

While this is fine for standard packages, it could breaks build of a SCL package against system httpd, as %{_bindir} will be in the SCL tree.

Current Workaround : override the value in the SCL package. 
%global _httpd_apxs %{_root_bindir}/apxs

Proposal: expand each path,
Ex: %_httpd_apxs /usr/bin/apxs
Comment 6 Ludek Smid 2014-06-13 05:38:53 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.